:root :where(.wp-block-navigation) {

	.wp-block-navigation-submenu > ul.wp-block-navigation-submenu {
		border-radius: 12px;
		border: 1px solid var(--wp--preset--color--gray-100);
		background: var(--wp--preset--color--white);
		display: flex;
		flex-direction: column;
		gap: 10px;

		@media (width >= 1280px) {
			box-shadow: 0 8px 32px -4px rgba(103, 111, 123, 0.1);
			gap: 4px;
		}

		> li {
			border-radius: 6px;

			&:hover {
				background-color: var(--wp--preset--color--slate-100);
			}

			.wp-block-navigation-item__content {
				font-weight: 400;

				&:hover {
					color: var(--wp--preset--color--slate-800);
					text-decoration: none;
				}
			}
		}
	}

	.wp-block-navigation-submenu > ul.wp-block-navigation-submenu:not(.is-style-mega-menu) {
		padding: 12px;
	}

	&.language-switcher {

		> li {

			> a {
				padding: 5px 0;

				&:hover {
					text-decoration: none;
				}
			}
		}

		.wp-block-navigation-submenu > ul.wp-block-navigation-submenu {
			min-width: 150px !important;
			left: auto;
			right: -10px;
		}
	}

	&.is-style-header-menu {
		font-size: 14px;
		font-style: normal;
		font-weight: 500;
		line-height: 20px;
		color: var(--wp--preset--color--slate-700);

		> li,
		.wp-block {

			&.sale-menu {

				a {

					.wp-block-navigation-item__label {
						display: flex;
						align-items: center;
						gap: 10px;

						&::before {
							content: "";
							display: inline-block;
							width: 16px;
							height: 16px;
							background-repeat: no-repeat;
							background-size: contain;
							background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 16 16' fill='none'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M13.1379 2.86189C13.3983 3.12224 13.3983 3.54435 13.1379 3.8047L3.80458 13.138C3.54423 13.3984 3.12212 13.3984 2.86177 13.138C2.60142 12.8777 2.60142 12.4556 2.86177 12.1952L12.1951 2.86189C12.4554 2.60154 12.8776 2.60154 13.1379 2.86189Z' fill='%23314158'/%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M4.33333 3.33333C3.78105 3.33333 3.33333 3.78105 3.33333 4.33333C3.33333 4.88562 3.78105 5.33333 4.33333 5.33333C4.88562 5.33333 5.33333 4.88562 5.33333 4.33333C5.33333 3.78105 4.88562 3.33333 4.33333 3.33333ZM2 4.33333C2 3.04467 3.04467 2 4.33333 2C5.622 2 6.66667 3.04467 6.66667 4.33333C6.66667 5.622 5.622 6.66667 4.33333 6.66667C3.04467 6.66667 2 5.622 2 4.33333Z' fill='%23314158'/%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M11.6668 10.6667C11.1145 10.6667 10.6668 11.1144 10.6668 11.6667C10.6668 12.219 11.1145 12.6667 11.6668 12.6667C12.2191 12.6667 12.6668 12.219 12.6668 11.6667C12.6668 11.1144 12.2191 10.6667 11.6668 10.6667ZM9.3335 11.6667C9.3335 10.378 10.3782 9.33337 11.6668 9.33337C12.9555 9.33337 14.0002 10.378 14.0002 11.6667C14.0002 12.9554 12.9555 14 11.6668 14C10.3782 14 9.3335 12.9554 9.3335 11.6667Z' fill='%23314158'/%3E%3C/svg%3E");
						}
					}
				}

				@media (width >= 1280px) {
					margin-left: auto;
				}
			}

			> a {
				padding: 16px 0;
			}
		}

		a.wp-block-navigation-item__content:hover {
			text-decoration: none;
		}

		@media (width <= 1279px) {

			&:not(.wp-block) {

				&.wp-block-navigation__container {
					gap: 10px;

					> li {

						> a {
							padding: 4px 0;
						}
					}
				}

				& + .wp-block-group {
					width: 100%;

					.header-action {
						margin-left: auto;
					}
				}
			}
		}

		@media (width <= 599px) {

			.wp-block-navigation__responsive-close {
				width: 300px;
			}
		}

		@media (600px <= width <= 1279px) {

			&:not(.wp-block) {

				.wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
					display: none;
				}

				.wp-block-navigation__responsive-container-open:not(.always-shown) {
					display: flex;
				}

				.wp-block-navigation__responsive-close {
					width: 400px;
				}
			}
		}

		@media (782px <= width <= 1279px) {

			&:not(.wp-block) {

				.is-style-mega-menu {

					.wp-block-columns {
						flex-wrap: wrap !important;
						flex-direction: column;
					}
				}
			}
		}

		@media (width <= 1279px) {

			&:not(.wp-block) {

				.wp-block-navigation__responsive-close {
					background-color: var(--wp--preset--color--white);
					padding: 0;
					margin-left: 0;
					height: 100vh;

					> .wp-block-navigation__responsive-dialog {
						padding: 0 25px;
						background-color: var(--wp--preset--color--white);
					}
				}

				.is-style-mega-menu {

					> .wp-block-group {
						padding: 16px 0 26px 0 !important;
					}

					.wp-block-woocommerce-mini-cart {
						display: none;
					}

				}

				.has-child .wp-block-navigation__submenu-container > .wp-block-navigation-item > .wp-block-navigation-item__content {
					padding: 0.5em 1em;
				}

				.wp-block-navigation__responsive-container-close {
					right: 16px;
				}

				.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .has-child .wp-block-navigation__submenu-container {
					padding: 0;

					.wp-block-navigation-item__content {
						color: var(--wp--preset--color--slate-700);
					}
				}

				.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .is-style-mega-menu.has-child .wp-block-navigation__submenu-container {
					padding: 0 0 0 10px;
				}

				&:not(.has-background) .wp-block-navigation__responsive-container.is-menu-open {
					background-color: color-mix(in oklab, #000 50%, transparent);
					padding: 0;
				}
			}
		}

		.is-style-mega-menu {

			.wp-block-woocommerce-mini-cart,
			.wc-block-mini-cart {
				display: none;
			}
		}

		@media (width >= 1280px) {

			&:not(.wp-block) {

				&,
				.wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open),
				.wp-block-navigation__responsive-dialog,
				.wp-block-navigation-item.is-style-mega-menu {
					position: static;
				}

				.is-style-mega-menu {

					.wp-block-navigation-submenu {
						inset-inline: 0;
					}

					&.wp-block-navigation__submenu-container {
						border-width: 0;
						border-radius: 24px;
						top: calc(100% + 1px);
					}

					.is-style-header-menu {
						gap: var(--wp--preset--spacing--3);

						> li {

							> a {
								padding: 0;
							}
						}
					}
				}
			}
		}

		@media (width >= 1400px) {

			&:not(.wp-block) {

				.is-style-mega-menu {

					.wp-block-navigation-submenu {
						inset-inline: -48px;
					}
				}
			}
		}
	}

	&.is-style-header-menu,
	&.language-switcher {

		.wp-block-navigation__submenu-icon {
			margin-left: 8px;
			font-size: 18px;
			width: 0.7em;
		}
	}
}
